POST api/exhibition/download-brochure
Request Information
URI Parameters
None.
Body Parameters
ExhibitionModel| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | integer |
None. |
|
| Name | string |
None. |
|
| Company | string |
None. |
|
| string |
None. |
||
| Phone | string |
None. |
|
| JobTitle | string |
None. |
|
| Country | string |
None. |
|
| CountryCode | string |
None. |
|
| State | string |
None. |
|
| City | string |
None. |
|
| PIN | string |
None. |
|
| Summary | string |
None. |
|
| ExpoType | string |
None. |
|
| IsContacted | boolean |
None. |
|
| FormType | string |
None. |
|
| PageNo | integer |
None. |
|
| ExhibitionSite | string |
None. |
|
| FromDate | string |
None. |
|
| ToDate | string |
None. |
|
| ExpoTypeID | string |
None. |
|
| CompanyType | string |
None. |
|
| enquireDate | string |
None. |
|
| PresentationSummary | string |
None. |
|
| TotalRecordCount | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"name": "sample string 2",
"company": "sample string 3",
"email": "sample string 4",
"phone": "sample string 5",
"jobTitle": "sample string 6",
"country": "sample string 7",
"countryCode": "sample string 8",
"state": "sample string 9",
"city": "sample string 10",
"pin": "sample string 11",
"summary": "sample string 12",
"expoType": "sample string 13",
"isContacted": true,
"formType": "sample string 15",
"pageNo": 16,
"exhibitionSite": "sample string 17",
"fromDate": "sample string 18",
"toDate": "sample string 19",
"expoTypeID": "sample string 20",
"companyType": "sample string 21",
"enquireDate": "sample string 22",
"presentationSummary": "sample string 23",
"totalRecordCount": 24
}
application/xml, text/xml
Sample:
<ExhibitionModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Exhibition.Models"> <City>sample string 10</City> <Company>sample string 3</Company> <CompanyType>sample string 21</CompanyType> <Country>sample string 7</Country> <CountryCode>sample string 8</CountryCode> <Email>sample string 4</Email> <ExhibitionSite>sample string 17</ExhibitionSite> <ExpoType>sample string 13</ExpoType> <ExpoTypeID>sample string 20</ExpoTypeID> <FormType>sample string 15</FormType> <FromDate>sample string 18</FromDate> <ID>1</ID> <IsContacted>true</IsContacted> <JobTitle>sample string 6</JobTitle> <Name>sample string 2</Name> <PIN>sample string 11</PIN> <PageNo>16</PageNo> <Phone>sample string 5</Phone> <PresentationSummary>sample string 23</PresentationSummary> <State>sample string 9</State> <Summary>sample string 12</Summary> <ToDate>sample string 19</ToDate> <TotalRecordCount>24</TotalRecordCount> <enquireDate>sample string 22</enquireDate> </ExhibitionModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.